org.eclnt.jsfserver.elements.componentnodes

## Class UI5U_FILEUPLOADERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5U_FILEUPLOADERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5U_FILEUPLOADERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5U_FILEUPLOADERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5U_FILEUPLOADERNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5U_FILEUPLOADERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5U_FILEUPLOADERNode` | `bindButtontext(IDynamicContentBindingObject value)`
    `UI5U_FILEUPLOADERNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5U_FILEUPLOADERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5U_FILEUPLOADERNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `UI5U_FILEUPLOADERNode` | `bindFiletype(IDynamicContentBindingObject value)`
    `UI5U_FILEUPLOADERNode` | `bindIcon(IDynamicContentBindingObject value)`
    `UI5U_FILEUPLOADERNode` | `bindIconhovered(IDynamicContentBindingObject value)`
    `UI5U_FILEUPLOADERNode` | `bindIconselected(IDynamicContentBindingObject value)`
    `UI5U_FILEUPLOADERNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5U_FILEUPLOADERNode` | `bindMaximumfilenamelength(IDynamicContentBindingObject value)`
    `UI5U_FILEUPLOADERNode` | `bindMaximumfilesize(IDynamicContentBindingObject value)`
    `UI5U_FILEUPLOADERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5U_FILEUPLOADERNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5U_FILEUPLOADERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5U_FILEUPLOADERNode` | `bindTooltip(IDynamicContentBindingObject value)`
    `UI5U_FILEUPLOADERNode` | `bindUploadurl(IDynamicContentBindingObject value)`
    `UI5U_FILEUPLOADERNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5U_FILEUPLOADERNode` | `setActionListener(java.lang.String value)`
    `UI5U_FILEUPLOADERNode` | `setAdapterbinding(java.lang.String value)`
    `UI5U_FILEUPLOADERNode` | `setAttributemacro(java.lang.String value)`
    `UI5U_FILEUPLOADERNode` | `setButtontext(java.lang.String value)`
    `UI5U_FILEUPLOADERNode` | `setComment(java.lang.String value)`
    `UI5U_FILEUPLOADERNode` | `setConfiginfo(java.lang.String value)`
    `UI5U_FILEUPLOADERNode` | `setEnabled(boolean value)`
    `UI5U_FILEUPLOADERNode` | `setEnabled(java.lang.String value)`
    `UI5U_FILEUPLOADERNode` | `setFiletype(java.lang.String value)`
    `UI5U_FILEUPLOADERNode` | `setIcon(java.lang.String value)`
    `UI5U_FILEUPLOADERNode` | `setIconhovered(java.lang.String value)`
    `UI5U_FILEUPLOADERNode` | `setIconselected(java.lang.String value)`
    `UI5U_FILEUPLOADERNode` | `setId(java.lang.String value)`
    `UI5U_FILEUPLOADERNode` | `setLayoutdata(java.lang.String value)`
    `UI5U_FILEUPLOADERNode` | `setMaximumfilenamelength(java.lang.String value)`
    `UI5U_FILEUPLOADERNode` | `setMaximumfilesize(java.lang.String value)`
    `UI5U_FILEUPLOADERNode` | `setReference(java.lang.String value)`
    `UI5U_FILEUPLOADERNode` | `setRendered(boolean value)`
    `UI5U_FILEUPLOADERNode` | `setRendered(java.lang.String value)`
    `UI5U_FILEUPLOADERNode` | `setStyleseq(java.lang.String value)`
    `UI5U_FILEUPLOADERNode` | `setStylevariant(java.lang.String value)`
    `UI5U_FILEUPLOADERNode` | `setTooltip(java.lang.String value)`
    `UI5U_FILEUPLOADERNode` | `setUploadurl(java.lang.String value)`
    `UI5U_FILEUPLOADERNode` | `setWidth(int value)`
    `UI5U_FILEUPLOADERNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5U_FILEUPLOADERNode

          public UI5U_FILEUPLOADERNode()

  - ### Method Detail

    - #### setId

          public UI5U_FILEUPLOADERNode setId(java.lang.String value)

    - #### setActionListener

          public UI5U_FILEUPLOADERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5U_FILEUPLOADERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5U_FILEUPLOADERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5U_FILEUPLOADERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5U_FILEUPLOADERNode setAttributemacro(java.lang.String value)

    - #### setButtontext

          public UI5U_FILEUPLOADERNode setButtontext(java.lang.String value)

    - #### bindButtontext

          public UI5U_FILEUPLOADERNode bindButtontext(IDynamicContentBindingObject value)

    - #### setComment

          public UI5U_FILEUPLOADERNode setComment(java.lang.String value)

    - #### bindComment

          public UI5U_FILEUPLOADERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5U_FILEUPLOADERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5U_FILEUPLOADERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5U_FILEUPLOADERNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public UI5U_FILEUPLOADERNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5U_FILEUPLOADERNode setEnabled(boolean value)

    - #### setFiletype

          public UI5U_FILEUPLOADERNode setFiletype(java.lang.String value)

    - #### bindFiletype

          public UI5U_FILEUPLOADERNode bindFiletype(IDynamicContentBindingObject value)

    - #### setIcon

          public UI5U_FILEUPLOADERNode setIcon(java.lang.String value)

    - #### bindIcon

          public UI5U_FILEUPLOADERNode bindIcon(IDynamicContentBindingObject value)

    - #### setIconhovered

          public UI5U_FILEUPLOADERNode setIconhovered(java.lang.String value)

    - #### bindIconhovered

          public UI5U_FILEUPLOADERNode bindIconhovered(IDynamicContentBindingObject value)

    - #### setIconselected

          public UI5U_FILEUPLOADERNode setIconselected(java.lang.String value)

    - #### bindIconselected

          public UI5U_FILEUPLOADERNode bindIconselected(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5U_FILEUPLOADERNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5U_FILEUPLOADERNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setMaximumfilenamelength

          public UI5U_FILEUPLOADERNode setMaximumfilenamelength(java.lang.String value)

    - #### bindMaximumfilenamelength

          public UI5U_FILEUPLOADERNode bindMaximumfilenamelength(IDynamicContentBindingObject value)

    - #### setMaximumfilesize

          public UI5U_FILEUPLOADERNode setMaximumfilesize(java.lang.String value)

    - #### bindMaximumfilesize

          public UI5U_FILEUPLOADERNode bindMaximumfilesize(IDynamicContentBindingObject value)

    - #### setReference

          public UI5U_FILEUPLOADERNode setReference(java.lang.String value)

    - #### setRendered

          public UI5U_FILEUPLOADERNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5U_FILEUPLOADERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5U_FILEUPLOADERNode setRendered(boolean value)

    - #### setStyleseq

          public UI5U_FILEUPLOADERNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5U_FILEUPLOADERNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5U_FILEUPLOADERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5U_FILEUPLOADERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTooltip

          public UI5U_FILEUPLOADERNode setTooltip(java.lang.String value)

    - #### bindTooltip

          public UI5U_FILEUPLOADERNode bindTooltip(IDynamicContentBindingObject value)

    - #### setUploadurl

          public UI5U_FILEUPLOADERNode setUploadurl(java.lang.String value)

    - #### bindUploadurl

          public UI5U_FILEUPLOADERNode bindUploadurl(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5U_FILEUPLOADERNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5U_FILEUPLOADERNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5U_FILEUPLOADERNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.